function shop_touch(npcId)

	xz=flag.GetValue(6001) --主线旗标

     --NPC朝向
     local x,z = npc.GetAt(npcId)
     npc.TurnToPlayer(npcId)
     global.WaitForNpcTurn(npcId)
     
     
	if xz>=0 then          			--游戏开始  主线旗标值暂代

		ui.Popo(170738,1,npcId,0)--情姐姐不让我开神秘商店了哟……

	end 


     --npc回头
     npc.TurnTo(npcId,x,z)
     global.WaitForNpcTurn(npcId)

end